﻿id	summary	reporter	owner	description	type	status	priority	milestone	component	resolution	keywords	cc
113	Django auto-installs on a machine where USER != ATHENA_USER get wrong email address	adehnert	adehnert	"Currently, the Django auto-installer bakes the username of the running user into settings.py as the email address in the ADMINS variable. On a debathena-standard machine where $USER and $ATHENA_USER don't match, this will result in mail relating to your autoinstall going to $USER@mit.edu instead of $ATHENA_USER@mit.edu. This seems unfortunate.

So far as I can tell, the semantics of the ""human"" argument to the onserver scripts is something like ""Athena username"". Assuming that's the case, I think the patch below will fix this bug, though I'm not actually sure how to test it, so I haven't.


{{{
Index: locker/deploy/bin/onathena
===================================================================
--- locker/deploy/bin/onathena	(revision 1454)
+++ locker/deploy/bin/onathena	(working copy)
@@ -256,7 +256,7 @@
 fi
 cd ""$origdir""
 
-vsshrun ""deploy$scriptsdev/bin/$deploy"" ""$sname"" ""$deploy"" ""$addrend"" ""$admin_username"" ""$requires_sql"" ""$scriptsdev"" ""$USER"" || die ""Unknown failure during configuration""
+vsshrun ""deploy$scriptsdev/bin/$deploy"" ""$sname"" ""$deploy"" ""$addrend"" ""$admin_username"" ""$requires_sql"" ""$scriptsdev"" ""${ATHENA_USER:-$USER}"" || die ""Unknown failure during configuration""
 rm -f ""$lroot/web_scripts/$addrend/.scripts-tmp""
 checkfailed
 }}}"	defect	closed	minor		autoinstallers	fixed		
